Subject: Re: bug#47896: 27.2; TRAMP hang/lockup/fault on compile/file access

From: Michael Albinus <[email-masked]>
Date: Tue, 20 Apr 2021 20:15:44 +0200

David Greene <[email-masked]> writes:

Hi David,

> So I tried emacs 28. No lockups at all. Yay! But every single compile
> failes with exit code 9. This isn't an error from the compilation
> itself. I can run the compilation under emacs 27 and it completes (that
> is, when it doesn't cause a lockup) and I can run it in a terminal and
> it completes. I suspect that whatever was causing lockups in emacs 27 is
> now causing signal 9 in 28. Perhaps this has something to do with the
> new process handling in 28?
>
> I have tried disabling as much of my config as I can but nothing seems
> to help.
>
> I've attached TRAMP verbose 6 output.

Your prompt on the remote host looks strange:

--8<---------------cut here---------------start------------->8---
> ]51;Adgreene@dgreene-dev:/cb/home/dgreene\
--8<---------------cut here---------------end--------------->8---

Please consult the Tramp manual how to fix this.

> David

Best regards, Michael.